Description

Bonjour,

Serait-il possible d'avoir sur la fiche d'une "demande" la liste de tous les commits d'un dépôt associés à cette demande.

En effet il est parfois utile de pouvoir retrouver l'historique de toutes les modifications d'un code source associées à une même

demande.

Cas typique ou la modification/correction ne fonctionne pas et ou il faut de nouveau refaire des commits pour trouver la solution

finale.

Merci.

History

#1 - 2009-09-15 18:02 - Eric Davis

Could someone translate this to English, my French isn't as good as it used to be.

#2 - 2009-09-15 22:36 - Grégory Janiszewski

Ok, sorry for French language. Here is translation of my post :

Hello,

Is it possible to get the list of all commits of deposit linked to an issue?

I mean, I want to quickly find all changes done on code source linked to a specific issue.

Typical case is when you need more than one commit to correct a bug...

Today it's possible to find issue from commit comment, my idea is to get the reverse way.

Thank you.

I will write my comment/issue directly in English next time...

Is it clear now?

#3 - 2009-09-15 22:49 - Grégory Janiszewski

Ok...

It seems it already exists!

Here on redmine website, revision associated to an issue appear on the right of "History" pane.

But It doesn't appear on my install...

I use a Mercurial deposit under Windows.

Have I miss some configuration parameter?

Sorry it seems that you have to reclassified this issue. It's not a new feature (or maybe for Mercurila it is...).

#4 - 2009-09-16 21:05 - Grégory Janiszewski

- Status changed from New to Resolved

Ok, I find it !

In my case I was only using #xxx without keywords like refs, IssueID...

So I add "*" in keywords parameters and now it's ok.

So it was not very clear for me, maybe we can update "help".

Sorry for disturbing.
#5 - 2009-09-18 04:46 - Mischa The Evil

- Category changed from SCM to Documentation

- Status changed from Resolved to 7

- Assignee set to Mischa The Evil

This actually is documented currently at RedmineSettings but that piece of documentation is written for the Administration guide from an Admin POV

only.

It should be rewritten to become part of the RedmineRepository page.

#6 - 2010-01-11 17:48 - Tom Rochette

I believe that RedmineIssues would be a more appropriate page to list such documentation. I have taken the liberty to write a small paragraph

describing the feature.

#7 - 2010-02-24 22:01 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Fixed

Thanks.
